{
  "_args": [
    [
      {
        "raw": "tdm-utils@git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
        "scope": null,
        "escapedName": "tdm-utils",
        "name": "tdm-utils",
        "rawSpec": "git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
        "spec": "ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
        "type": "git"
      },
      "/home/kieffer/tdm/ez-indexation"
    ]
  ],
  "_from": "git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
  "_id": "tdm-utils@1.0.0",
  "_inCache": true,
  "_location": "/tdm-utils",
  "_phantomChildren": {},
  "_requested": {
    "raw": "tdm-utils@git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
    "scope": null,
    "escapedName": "tdm-utils",
    "name": "tdm-utils",
    "rawSpec": "git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
    "spec": "ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
    "type": "git"
  },
  "_requiredBy": [
    "/"
  ],
  "_resolved": "git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git#6f8651135c97e2b3d000131f78addb177d9d9fea",
  "_shasum": "ade4fbe1fd2f7e2225f92b50c270e0e38830e292",
  "_shrinkwrap": null,
  "_spec": "tdm-utils@git+ssh://vsistex.intra.inist.fr:22222/kieffer/tdm-utils.git",
  "_where": "/home/kieffer/tdm/ez-indexation",
  "author": {
    "name": "istex"
  },
  "dependencies": {
    "async": "^2.1.4",
    "bluebird": "^3.4.7",
    "ezs": "^1.1.3",
    "ezs-istex": "^1.0.1",
    "mkdirp": "^0.5.1",
    "mocha": "^3.2.0",
    "rd-teeft": "git+ssh://vsistex.intra.inist.fr:22222/istex/rd-teeft.git",
    "rd-tu": "git+ssh://vsistex.intra.inist.fr:22222/istex/rd-tu.git",
    "request": "^2.79.0"
  },
  "description": "Regroupement des fonctions utiles à tous les outils de TDM utilisé dans EzMaster",
  "devDependencies": {},
  "gitHead": "6f8651135c97e2b3d000131f78addb177d9d9fea",
  "license": "ISC",
  "main": "index.js",
  "name": "tdm-utils",
  "optionalDependencies": {},
  "readme": "tdm-utils\n===============\n\nUtilities for tdm EzMaster Applications\n\n## Examples ##\n\n```\nvar corpusManager = require('tdm-utils');\n\n// Directory containing all corpus files\nvar myCorporaDirectory = \"/path/to/my/corpora/\";\n// Example :\n// $ ls /path/to/my/corpora/\n// $ corpus1.txt   corpus2.txt\n\n// Directory where all data will be writed\nvar myOutputDirectory = \"/path/to/my/output/directory/\";\n\n// Initialize all corpora\ncorpusManager.prepare(myCorporaDirectory, myOutputDirectory, function(err, res) {\n  console.log(res);\n  // Do some stuff\n});\n```\n\nOuput :\n\n```\n  // [ Corpus {\n  //     name: 'corpus1',\n  //     file: 'test/dataset/out/corpus1.txt',\n  //     in: 'test/dataset/out/in/corpus1',\n  //     out: 'test/dataset/out/out/corpus1' },\n  //   Corpus {\n  //     name: 'corpus2',\n  //     file: 'test/dataset/out/corpus2.txt',\n  //     in: 'test/dataset/out/in/corpus2',\n  //     out: 'test/dataset/out/out/corpus2' } ]\n```",
  "readmeFilename": "README.md",
  "repository": {
    "type": "git",
    "url": "https://git.istex.fr/git/kieffer/tdm-utils.git"
  },
  "scripts": {
    "test": "mocha -t 120000"
  },
  "version": "1.0.0"
}
